﻿using Pixiview.iOS.Services;
using Pixiview.Utils;
using Xamarin.Forms;

[assembly: Dependency(typeof(EnvironmentService))]
namespace Pixiview.iOS.Services
{
    public class EnvironmentService : IEnvironmentService
    {
        public EnvironmentParameter GetEnvironment()
        {
            return new EnvironmentParameter
            {
                IconLightFontFamily = "FontAwesome5Pro-Light",
                IconRegularFontFamily = "FontAwesome5Pro-Regular",
                IconSolidFontFamily = "FontAwesome5Pro-Solid",

                IconLeft = "\uf104"     // for android, it's "\uf060"
            };
        }
    }
}
