﻿using System;
using Xamarin.Forms;

namespace Pixiview.UI
{
    public class AdaptedPage : ContentPage
    {
        public event EventHandler Load;

        public AdaptedPage()
        {
            SetDynamicResource(BackgroundColorProperty, App.WindowColor);
        }

        public virtual void OnLoad()
        {
            Load?.Invoke(this, EventArgs.Empty);
        }
    }
}
