﻿using Xamarin.Forms;

namespace Pixiview.Utils
{
    public static class UIFactory
    {
        public static NavigationPage CreateNavigationPage(Page root)
        {
            var navigation = new NavigationPage(root);
            navigation.SetDynamicResource(NavigationPage.BarBackgroundColorProperty, App.MainColor);
            navigation.SetDynamicResource(NavigationPage.BarTextColorProperty, App.MainTextColor);
            navigation.SetDynamicResource(VisualElement.BackgroundColorProperty, App.WindowColor);
            return navigation;
        }
    }
}
